/*
 *
 *      Copyright (c) 2018-2025, hnqz All rights reserved.
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 *  this list of conditions and the following disclaimer.
 *  Redistributions in binary form must reproduce the above copyright
 *  notice, this list of conditions and the following disclaimer in the
 *  documentation and/or other materials provided with the distribution.
 *  Neither the name of the pig4cloud.com developer nor the names of its
 *  contributors may be used to endorse or promote products derived from
 *  this software without specific prior written permission.
 *  Author: hnqz
 *
 */

package com.qunzhixinxi.hnqz.admin.mapper;

import com.qunzhixinxi.hnqz.admin.api.entity.SysDept;
import com.qunzhixinxi.hnqz.admin.api.entity.SysUser;
import com.qunzhixinxi.hnqz.common.data.datascope.DataScopeMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 部门管理 Mapper 接口
 * </p>
 *
 * @author hnqz
 * @since 2018-01-20
 */
@Mapper
public interface SysDeptMapper extends DataScopeMapper<SysDept> {
	List<SysDept> selectDeptList(@Param("query") SysDept sysDept);

	List<SysDept> selectListByDept(@Param("query") SysDept sysDept);

	List<SysDept> selectDeptByIds(@Param("query") SysDept sysDept);

	List<SysDept> getAllParentDept(@Param("query") SysDept sysDept);

	SysDept selectDistinctDeptId(@Param("query") SysDept sysDept);

	List<SysDept> selectDeptByName(@Param("query")SysDept sysDept);

	List<Map<String,Object>> selectDeptById(@Param("query") SysDept sysDept);

	List<SysDept> selectByName(String entname);


	String selectEntCodeByLevelId(@Param(value = "levelId") long levelId,
								  @Param(value = "level") int level);

	/**
	 * 修改名称 结算渠道
	 */
	void updateByPrimaryKeySelective(SysDept sysDept);

	SysDept selectDept(SysDept sysDept);

	List<SysDept> getParentDept(@Param("query") SysDept sysDept);

	List getDeptConvertToName();

	List getChildDept(@Param("query") SysDept sysDept);
}
